﻿function GetPluginSettings()
{
    return {
        "name": "ScreenShot",
        "id": "miladesign_Screenshot",
        "version": "1.0",
        "description":	"اسکرین شات گرفتن از صفحه بازی",
        "author": "Milad Mohammadi",
        "help url": "http://miladesign.ir/developer-tools/construct-screenshot/",
        "category": "MilaDesign Plugins",
        "type": "object",
        "rotatable": false,
        "cordova-plugins": "https://github.com/miladesign/miladesign-cordova-screenshot",
        "flags": 0 | pf_singleglobal

    };
};

////////////////////////////////////////
// Conditions		
AddCondition(0, cf_trigger, "اگر اسکرین شات گرفته شد", "system", "اگر اسکرین شات گرفته شد", "اگر اسکرین شات گرفته شد", "onSuccess");
AddCondition(1, cf_trigger, "اگر اسکرین شات گرفته نشد", "system", "اگر اسکرین شات گرفته نشد", "اگر اسکرین شات گرفته نشد", "onFailed");

////////////////////////////////////////
// Actions
AddStringParam("نام فایل", "اسم فایلی که قراره ذخیره بشه رو بنویسید");
AddAction(0, af_none, "گرفتن اسکرین شات", "system", "گرفتن اسکرین شات", "گرفتن اسکرین شات", "screenshot");

////////////////////////////////////////
// Expressions
//AddExpression(0, ef_return_string, "Get String", "String", "get_string", "Get Random String");

////////////////////////////////////////
ACESDone();

////////////////////////////////////////
// Array of property grid properties for this plugin
var property_list = [
	//new cr.Property(ept_integer, 	"My property",		77,		"An example property.")
	];
	
// Called by IDE when a new object type is to be created
function CreateIDEObjectType()
{
	return new IDEObjectType();
}

// Class representing an object type in the IDE
function IDEObjectType()
{
	assert2(this instanceof arguments.callee, "Constructor called as a function");
}

// Called by IDE when a new object instance of this type is to be created
IDEObjectType.prototype.CreateInstance = function(instance)
{
	return new IDEInstance(instance);
}

// Class representing an individual instance of an object in the IDE
function IDEInstance(instance, type)
{
	assert2(this instanceof arguments.callee, "Constructor called as a function");
	
	// Save the constructor parameters
	this.instance = instance;
	this.type = type;
	
	// Set the default property values from the property table
	this.properties = {};
	
	for (var i = 0; i < property_list.length; i++)
		this.properties[property_list[i].name] = property_list[i].initial_value;
		
	// Plugin-specific variables
	// this.myValue = 0...
}

// Called when inserted via Insert Object Dialog for the first time
IDEInstance.prototype.OnInserted = function()
{
}

// Called when double clicked in layout
IDEInstance.prototype.OnDoubleClicked = function()
{
}

// Called after a property has been changed in the properties bar
IDEInstance.prototype.OnPropertyChanged = function(property_name)
{
}

// For rendered objects to load fonts or textures
IDEInstance.prototype.OnRendererInit = function(renderer)
{
}

// Called to draw self in the editor if a layout object
IDEInstance.prototype.Draw = function(renderer)
{
}

// For rendered objects to release fonts or textures
IDEInstance.prototype.OnRendererReleased = function(renderer)
{
}